Error compiling in MinGW

Bug #1164056 reported by Mark Cianfaglione on 2013-04-03
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Drizzle Client & Protocol Library
High
Andrew Hutchings

Bug Description

I'm attempting to compile 5.1.3 on a MinGW platform and I get the following:

In file included from ./libdrizzle/common.h:55:0,
                 from libdrizzle/command.cc:46:
./libdrizzle/windows.hpp: In function 'int translate_windows_error()':
./libdrizzle/windows.hpp:85:18: error: 'EINPROGRESS' was not declared in this scope
./libdrizzle/windows.hpp:93:18: error: 'ECONNREFUSED' was not declared in this scope
./libdrizzle/windows.hpp:97:18: error: 'ENETUNREACH' was not declared in this scope
./libdrizzle/windows.hpp:101:18: error: 'ETIMEDOUT' was not declared in this scope
./libdrizzle/windows.hpp:105:18: error: 'ECONNRESET' was not declared in this scope
./libdrizzle/windows.hpp:109:18: error: 'EADDRINUSE' was not declared in this scope
./libdrizzle/windows.hpp:113:18: error: 'EOPNOTSUPP' was not declared in this scope
./libdrizzle/windows.hpp:117:18: error: 'ENOPROTOOPT' was not declared in this scope
make[1]: *** [libdrizzle/libdrizzle_libdrizzle_la-command.lo] Error 1
make[1]: Leaving directory `/home/backuppc/schematic/libdrizzle-5.1.3'
make: *** [all] Error 2

I read that a patch to solve this was supposed to have been merged. Do the patches still need to be merged? I honestly haven't been able to dig any further as I've been tied up in other fires but it would be nice to get a fix for this one.

In addition to 5.1.3 I've also retrieved the latest code from the codestore in the chance that patches have been applied and not released as a tar.gz file. It too exhibits the above output.

Mark

Changed in libdrizzle:
importance: Undecided → High
assignee: nobody → Andrew Hutchings (linuxjedi)
milestone: none → 5.1.4
status: New → Triaged
Andrew Hutchings (linuxjedi) wrote :

Going to look into this later today (it appears the mingw in Ubuntu 13.04 is missing parts so I need to get a Fedora VM up first). It should work but I haven't tested it since January, I need to get Jenkins to do this along with a wine test runner. What distribution are you trying this in?

Andrew

It has been replicated on Windows 7 mingw (not mingw64) and Fedora 14
with the mingw libraries. I didn't have the chance to try it on Centos 5
or 6.

Mark

--
Mark Cianfaglione

Valydate Inc.
308 Legget Drive, Suite 200
Ottawa, ON
K2K 1Y6
Office 613-627-4702 x258
Cell 613-600-4501

Valydate - Deloitte® Technology Fast 50® Award Winner

On Mon, 2013-04-22 at 14:07 +0000, Andrew Hutchings wrote:

> Going to look into this later today (it appears the mingw in Ubuntu
> 13.04 is missing parts so I need to get a Fedora VM up first). It
> should work but I haven't tested it since January, I need to get Jenkins
> to do this along with a wine test runner. What distribution are you
> trying this in?
>

Andrew Hutchings (linuxjedi) wrote :

I have been able to compile trunk in Fedora 18 (where we originally developed the mingw compiling) after fixing bug #1172010 (branch pending Jenkins testing before merging). I'll create a Fedora 14 VM next to try. I should note though that Fedora 14 is past EOL so we may not be able to support it. I don't know if anyone has tried compiling using Windows yet, I should be able to test that too this week.

Andrew

That would be fine. I need an excuse to upgrade. ;)

Mark

--
Sent from my Android phone with K-9 Mail. Please excuse my brevity and autocorrecter overzealousness.

Andrew Hutchings <email address hidden> wrote:

>I have been able to compile trunk in Fedora 18 (where we originally
>developed the mingw compiling) after fixing bug #1172010 (branch
>pending
>Jenkins testing before merging). I'll create a Fedora 14 VM next to
>try. I should note though that Fedora 14 is past EOL so we may not be
>able to support it. I don't know if anyone has tried compiling using
>Windows yet, I should be able to test that too this week.
>
>--
>You received this bug notification because you are subscribed to the
>bug
>report.
>https://bugs.launchpad.net/bugs/1164056
>
>Title:
> Error compiling in MinGW
>
>Status in Drizzle Client & Protocol Library:
> Triaged
>
>Bug description:
> I'm attempting to compile 5.1.3 on a MinGW platform and I get the
> following:
>
> In file included from ./libdrizzle/common.h:55:0,
> from libdrizzle/command.cc:46:
> ./libdrizzle/windows.hpp: In function 'int translate_windows_error()':
>./libdrizzle/windows.hpp:85:18: error: 'EINPROGRESS' was not declared
>in this scope
>./libdrizzle/windows.hpp:93:18: error: 'ECONNREFUSED' was not declared
>in this scope
>./libdrizzle/windows.hpp:97:18: error: 'ENETUNREACH' was not declared
>in this scope
>./libdrizzle/windows.hpp:101:18: error: 'ETIMEDOUT' was not declared in
>this scope
>./libdrizzle/windows.hpp:105:18: error: 'ECONNRESET' was not declared
>in this scope
>./libdrizzle/windows.hpp:109:18: error: 'EADDRINUSE' was not declared
>in this scope
>./libdrizzle/windows.hpp:113:18: error: 'EOPNOTSUPP' was not declared
>in this scope
>./libdrizzle/windows.hpp:117:18: error: 'ENOPROTOOPT' was not declared
>in this scope
> make[1]: *** [libdrizzle/libdrizzle_libdrizzle_la-command.lo] Error 1
> make[1]: Leaving directory `/home/backuppc/schematic/libdrizzle-5.1.3'
> make: *** [all] Error 2
>
> I read that a patch to solve this was supposed to have been merged. Do
> the patches still need to be merged? I honestly haven't been able to
> dig any further as I've been tied up in other fires but it would be
> nice to get a fix for this one.
>
> In addition to 5.1.3 I've also retrieved the latest code from the
> codestore in the chance that patches have been applied and not
> released as a tar.gz file. It too exhibits the above output.
>
> Mark
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/libdrizzle/+bug/1164056/+subscriptions

Andrew Hutchings (linuxjedi) wrote :

I couldn't even get non-MinGW to compile in Fedora 14. It is too old unfortunately. Let me know how you get on and if there are any other platforms we should try.

Andrew

That's odd... I've not only compiled it I've linked it into my
application. Perhaps it's something that I've mysteriously updated over
time.

That's not a serious issue though as even if it requires Fedora 18 or
Centos 6.x it'll be a bonus.

Mark

--
Mark Cianfaglione

Valydate Inc.
308 Legget Drive, Suite 200
Ottawa, ON
K2K 1Y6
Office 613-627-4702 x258
Cell 613-600-4501

Valydate - Deloitte® Technology Fast 50® Award Winner

On Wed, 2013-04-24 at 18:36 +0000, Andrew Hutchings wrote:

> I couldn't even get non-MinGW to compile in Fedora 14. It is too old
> unfortunately. Let me know how you get on and if there are any other
> platforms we should try.
>

Andrew Hutchings (linuxjedi) wrote :

There was a problem compiling test cases in MinGW in Fedora which I have just fixed in trunk (also now compiles in Fedora 19 alpha and Macs).

I need to test compiling in MinGW in Windows as I suspect that is where you are having problems. I'll try to look over the weekend.

Just a quick blip to see if there has been any progress in the Windows MinGW compile of this.

Mark

Andrew

I now am working on development in Centos 6 and would like your recipe for getting libdrizzle-5.1.4 to compile with mingw.

I still get the same errors as above. I would love to put this to bed in order to use drizzle in the Windows code.

If there is no official recipe can you at least point me in the general direction so that I can write a howto for the unwashed masses.

Mark

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions